Page MenuHomePhabricator

"Looks like you already have another webservice running" failure when trying to migrate webservice
Closed, ResolvedPublic

Description

Hey all! I was looking to update my trusty webservices today, but I'm in a bit of a jam.

Working on tool "montage-dev" (on trusty):

$ webservice --backend=gridengine stop
Your webservice is not running

But then (on stretch):

$ webservice --backend=kubernetes start
Looks like you already have another webservice running, with a gridengine backend

And no combination of start/stop from various environments or backends seems to help.

Any advice on how to update this tool (montage-dev), as well as the similarly-designed montage-beta, montage, weeklypedia, and ifttt-dev?

Event Timeline

mahmoud created this task.Feb 18 2019, 1:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2019, 1:29 AM
bd808 renamed this task from Trouble upgrading toolforge python webservices from trusty to stretch to "Looks like you already have another webservice running" failure when trying to migrate webservice.Feb 18 2019, 10:09 PM
bd808 assigned this task to mahmoud.Feb 18 2019, 10:11 PM
bd808 added a subscriber: bd808.

@mahmoud if the instructions on working around this problem that were linked in T216375#4960607 do not resolve the issue, please do re-assign to me with any error messages you can find.

GTirloni triaged this task as Normal priority.Feb 22 2019, 11:47 AM
GTirloni added a subscriber: GTirloni.EditedFeb 22 2019, 11:56 AM

tools.commons-video-clicks experienced this today. Here are the contents of the existing service.manifest:

backend: gridengine
version: 2

Trying to stop/start it:

tools.commons-video-clicks@tools-sgebastion-07:~$ webservice --backend=gridengine stop
Your webservice is not running

tools.commons-video-clicks@tools-bastion-03:~$ webservice --backend=gridengine stop
Your webservice is not running


tools.commons-video-clicks@tools-sgebastion-07:~$ webservice --backend=kubernetes start
Looks like you already have another webservice running, with a gridengine backend
You should stop that webservice by issuing:
    webservice --backend=gridengine stop
And then start it again with backend kubernetes by issuing:
    webservice --backend=kubernetes start

And the new service.manifest after applying the workaround:

backend: kubernetes
distribution: debian
version: 3
web: php5.6

There were not pods / jobs running for this tool when the error happened.

Looks like a combination of techniques on the linked pages has got me unblocked. FWIW, I also had the "version: 2" manifest.

Feel free to close this fixed, or use it for other migrating tools. Thanks all!

bd808 closed this task as Resolved.Feb 25 2019, 7:03 PM